{% if g.kiosk %}
    {%- macro href(url, prefix="") -%}
        <span class="btn-link font-weight-bold">{{ url }}</span>
    {%- endmacro -%}
    {%- macro qr_href(url) -%}
        {{ get_svg_qr_code(url)|safe }}
    {%- endmacro -%}
{% else %}
    {%- macro href(url, prefix="") -%}
        <a class="font-weight-bold" href="{{ prefix }}{{ url }}">{{ url }}</a>
    {%- endmacro -%}
    {%- macro qr_href(url) -%}
        <a class="font-weight-bold" href="{{ url }}">{{ get_svg_qr_code(url)|safe }}</a>
    {%- endmacro -%}
{% endif %}
<!DOCTYPE html>
<html lang="en">
    <head>
        {% block head %}
            <meta charset="UTF-8">
            <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
            <title>{{ g.title }}</title>
            <link
                rel="stylesheet"
                href="{{ url_for('static', filename='bundled/bootstrap/4.5.0/css/bootstrap.min.css') }}">
            <link rel="stylesheet" href="{{ url_for('static', filename='css/custom.css') }}">
            <link
                rel="shortcut icon"
                href="{{ url_for('static', filename='images/icons/{}'.format(get_icon(ext="ico"))) }}"
                type="image/png">
        {% endblock head %}
    </head>
    <body class="bg-light" data-contact="{{ g.contact }}" data-raven-user="{{ g.user or '' }}">
        <header>
            {% block header %}
                <div class="navbar row mx-auto navbar-black">
                    <div class="col-lg-3 d-none d-lg-block">
                        <a class="navbar-logo" href="{{ url_for('view.index') }}">
                            <div style="height: 52px; width: 52px" class="align-middle active-clock d-inline-block" id="logo-clock">
                                {{ get_svg_icon("night")|safe }}
                            </div>
                            <strong>{{ g.site_name }}</strong>{{ g.site_name_suffix }}
                        </a>
                    </div>
                    <div class="col-lg-6 text-center">
                        <a href="{{ url_for('view.index') }}" class="display-4 text-light font-weight-normal text-decoration-none">{{ g.title }}</a>
                    </div>
                    <div class="col-lg-3 text-right d-none d-lg-block">
                        <img height="68" src="{{ url_for('static', filename='images/logo.png') }}" alt="logo">
                    </div>
                </div>
                {% if g.emergency_message %}
                    <div class="navbar row mx-auto bg-danger">
                        <div class="col text-center">
                            {% for line in g.emergency_message.splitlines() if line.strip() %}
                                <h3 class="text-light">{{ line }}</h3>
                            {% endfor %}
                        </div>
                    </div>
                {% endif %}
            {% endblock header %}
        </header>
        <main role="main">
            {% block clock %}
                <div id="clock" class="h2 mr-3 text-right position-absolute right-0 d-none d-xl-block">
                    <span class="active-date">{{ '{dt:%a}, {dt.day} {dt:%b} {dt.year}'.format(dt=datetime.now()) }}</span>
                    <br/>
                    <span class="active-time">{{ '{dt.hour}:{dt:%M}'.format(dt=datetime.now()) }}</span>
                    <br/>
                </div>
                <div class="mr-3 my-1 position-absolute right-0 d-block d-xl-none active-clock" style="height: 30px; width: 30px" id="mobile-clock">
                    {{ get_svg_icon()|safe }}
                </div>
            {% endblock clock %}
            {% block left_nav %}
                <div id="left-nav" class="h2 ml-3 text-left position-absolute">
                    <ul class="nav flex-column">
                        <li class="nav-item my-1">
                            <a href="{{ url_for('view.index') }}" id="btn-back" class="btn btn-outline-nav">&laquo;<span class="d-none d-lg-inline-block">&nbsp;Back</span></a>
                        </li>
                    </ul>
                </div>
            {% endblock left_nav %}
            {% block content %}{% endblock content %}
        </main>
        <footer class="footer">
            {% block footer %}
                <nav class="navbar navbar-expand-md navbar-black fixed-bottom">
                    <div class="container">
                        <span class="text-light">Any problems? Please email {{ href(configuration.CONTACT_EMAIL, "mailto:") }}.</span>
                    </div>
                </nav>
            {% endblock footer %}
        </footer>
        {% block page_js %}
             <script src="{{ url_for('static', filename='bundled/jquery/jquery-3.5.1.min.js') }}"></script>
            {% if g.kiosk %}
                <script src="{{ url_for('static', filename='js/kiosk.js') }}"></script>
            {% endif %}
            <script src="{{ url_for('static', filename='js/common.js') }}"></script>
            <script src="{{ url_for('static', filename='bundled/bootstrap/4.5.0/js/bootstrap.min.js') }}"></script>
        {% endblock page_js %}
    </body>
</html>